// Data.js by Feek

//-------------------//
// Created: 08/06/07 //
// Updated: 08/06/07 //
//-------------------//

function Save(slot)
{
	var file = OpenFile("slot_" + slot + ".sav");
	file.write("player_name",Player.name);
	file.write("player_money",Player.money);
	file.write("player_x",GetPersonX("you"));
	file.write("player_y",GetPersonY("you"));
	file.write("player_map",GetCurrentMap());
	file.write("player_face",GetPersonDirection("you"));
	
	file.flush();
	file.close();
}

function Load(slot)
{
	//--=Set up info=--//
	var file = OpenFile("slot_" + slot + ".sav");
	Player.name = file.read("player_name",Player.name);
	Player.money = file.read("player_money",Player.money);
	
	//--=Set up location=--//
	t_px = file.read("player_x",0);
	t_py = file.read("player_y",0);
	t_pd = file.read("player_face","north");
	CreatePerson("you","Main.rss",false);
	SetPersonScript("you",SCRIPT_ON_CREATE,'SetUpPerson("you",t_px,t_py,t_pd)');
	MapEngine(file.read("player_map","KantoRegion.rmp"));
	
	file.flush();
	file.close();
}

function LoadMenu()
{
	while(!IsKeyPressed(KEY_SHIFT))
	{
		loadScreen.blit(x,y);
		font.drawText(x+w/2-font.getStringWidth("Load A Game")/2,y+16,"Load A Game");
		FlipScreen();
	}
	Clear();
	startMenu.run(x,y);
	return;
}