// Pokemon.js by Feek

//-------------------//
// Created: 10/06/07 //
// Updated: 14/06/07 //
//-------------------//

function pokemon(name,type,element)
{
	this.name = name;
	this.type = type;
	this.element = element;
	this.height = 0;
	this.weight = 0;
	this.attacks = []; // just a list of names.
	this.moves = []; // just a list of moves.
	this.level = 1;
	this.atk = 0;
	this.def = 0;
	this.hp = 0;
	this.maxhp = 0;
	this.speed = 0;
	this.special = 0;
	this.image = "";
	this.exp = 0;
	this.nxp = 0;
	this.grow_type = "";
	this.txt;
	this.pknum = 0;
}
pokemon.prototype.clone = function(clone_to)
{
	var i;
	var temp_obj = new Object;
	for (i in this)
	{
		temp_obj[i] = this[i];
	}
	temp_obj.atk = 0;
	temp_obj.def = 0;
	temp_obj.speed = 0;
	temp_obj.special = 0;
	temp_obj.hp = 0;
	temp_obj.maxhp = 0;
	this.SetStats(temp_obj);
	clone_to.push(temp_obj);
}

pokemon.prototype.SetStats = function(object)
{
	//IV = ((Stat/P)-5)*100/L)-2*B-EV/4
	//IV = ((14/1)-5)*100/6)-2*52-0/4
	//IV = 
	//Stat = ((Base*2+0+EV/4)*lvl/100+5)*1.1
	//
	//
	
	object.atkEV = 0; // These all start out at 0.
	object.defEV = 0;
	object.spdEV = 0;
	object.spcEV = 0;
	object.hpEV = 0;
	object.AtkBase = this.atk;
	object.DefBase = this.def;
	object.SpdBase = this.speed;
	object.SpcBase = this.special;
	object.HPBase = this.hp;
}

function SetStat(Base,lvl,EV)
{
	return Math.round(((Base*2+0+EV/4)*lvl/100+5)*1.1);
}

function SetHealth(base,lvl,EV)
{
	return Math.round((base*2+0+EV/4)*lvl/100+10+lvl);
}

var Pokemon = [];
Pokemon[1] = new pokemon("BULBASAUR","SEED","grass");
Pokemon[1].hp = 45;
Pokemon[1].maxhp = 45;
Pokemon[1].atk = 49;
Pokemon[1].def = 49;
Pokemon[1].speed = 45;
Pokemon[1].special = 65;
Pokemon[1].height = "24";
Pokemon[1].weight = "15.0";
Pokemon[1].image = LoadImage("Pokemon/Bulbasaur.png");
Pokemon[1].nxp = 64;
Pokemon[1].growtype = "parabolic";
Pokemon[1].txt = Bulbtxt;
Pokemon[1].pknum = "001";
Pokemon[2] // Ivysaur
Pokemon[3] // Venasaur
Pokemon[4] = new pokemon("CHARMANDER","LIZARD","fire");
Pokemon[4].hp = 39;
Pokemon[4].maxhp = 39;
Pokemon[4].atk = 52;
Pokemon[4].def = 43;
Pokemon[4].speed = 65;
Pokemon[4].special = 60;
Pokemon[4].height = "200";
Pokemon[4].weight = "19.0";
Pokemon[4].image = LoadImage("Pokemon/Charmander.png");
Pokemon[4].nxp = 65;
Pokemon[4].growtype = "parabolic";
Pokemon[4].txt = Chartxt;
Pokemon[4].pknum = "004";
Pokemon[5]; // Charmeleon
Pokemon[6]; // Charizard
Pokemon[7] = new pokemon("SQUIRTLE","TURTLE","water");
Pokemon[7].hp = 44;
Pokemon[7].maxhp = 44;
Pokemon[7].atk = 48;
Pokemon[7].def = 65;
Pokemon[7].speed = 43;
Pokemon[7].special = 50;
Pokemon[7].height = "180";
Pokemon[7].weight = "20.0";
Pokemon[7].image = LoadImage("Pokemon/Squirtle.png");
Pokemon[7].nxp = 66;
Pokemon[7].growtype = "parabolic";
Pokemon[7].txt = Squitxt;
Pokemon[7].pknum = "007";
Pokemon[8]; // Wartortle
Pokemon[9]; // Blastoise
Pokemon[10];// Caterpie
Pokemon[11];// Metapod
Pokemon[12];// Butterfree
Pokemon[13];// Weedle
Pokemon[14];// Kakuna
Pokemon[15];// Beedrill
Pokemon[16] = new pokemon("PIDGEY","TINYBIRD","flying");
Pokemon[16].hp = 40;
Pokemon[16].maxhp = 40;
Pokemon[16].atk = 45;
Pokemon[16].def = 40;
Pokemon[16].speed = 56;
Pokemon[16].special = 35;
Pokemon[16].height = "100";
Pokemon[16].weight = " 4.0";
Pokemon[16].image = LoadImage("Pokemon/Pidgey.png");
Pokemon[16].nxp = 55;
Pokemon[16].growtype = "fast";
Pokemon[16].txt = Pidgtxt;
Pokemon[16].pknum = "016";
Pokemon[17];// Pidgeotto
Pokemon[18];// Pidgeot
Pokemon[19] = new pokemon("RATTATA","RAT","normal");
Pokemon[19].hp = 30;
Pokemon[19].maxhp = 30;
Pokemon[19].atk = 56;
Pokemon[19].def = 35;
Pokemon[19].speed = 72;
Pokemon[19].special = 25;
Pokemon[19].height = "100";
Pokemon[19].weight = " 8.0";
Pokemon[19].image = LoadImage("Pokemon/Rattata.png");
Pokemon[19].nxp = 57;
Pokemon[19].growtype = "normal";
Pokemon[19].txt = Ratttxt;
Pokemon[19].pknum = "019";
Pokemon[20];// Raticate