// Stats.js by Feek

//-------------------//
// Created: 08/06/07 //
// Updated: 11/06/07 //
//-------------------//

function ShowStatScreen()
{
	while(!IsKeyPressed(KEY_SHIFT))
	{
		statScreen.blit(x,y);
		You.blit(x+w-You.width-5,y+5);
		font.drawText(x+16,y+16,"NAME/" + Player.name);
		font.drawText(x+16,y+32,"MONEY/$" + Player.money);
		font.drawText(x+16,y+48,"TIME/");
		font.drawText(x+120-font.getStringWidth(GameHrs + ":" + GameSecs),y+48,GameHrs + ":" + GameSecs);
		font.drawText(x+56,y+72,"BADGES");
		
		FlipScreen();
	}
}

function ShowPkmnStatScreen(num)
{
	ClearKeys();
	Delay(150);
	while(!IsKeyPressed(KEY_CTRL))
	{
		pokeStatScreen.blit(x,y);
		win.drawWindow(x+8,8+y+h-80,72,64);
		font.drawText(x+72,y+8,Player.pokemon[num].name);
		font.drawText(x+112,y+16,""+Player.pokemon[num].level);
		Player.pokemon[num].image.blit(x+8,y+8);
		DrawHealthBar(x+80,y+24,num);
		font.drawText(x+112-font.getStringWidth(Player.pokemon[num].hp),y+32,Player.pokemon[num].hp);
		font.drawText(x+112,y+32,"/");
		font.drawText(x+w-font.getStringWidth(Player.pokemon[num].maxhp)-8,y+32,Player.pokemon[num].maxhp);
		font.drawText(x+72,y+48,"STATUS/OK");
		font.drawText(x+8,y+56,"#."+Player.pokemon[num].pknum);
		
		font.drawText(x+8,y+h-72,"ATTACK");
		font.drawText(x+64,y+h-64,Player.pokemon[num].atk);
		font.drawText(x+8,y+h-56,"DEFENSE");
		font.drawText(x+64,y+h-48,Player.pokemon[num].def);
		font.drawText(x+8,y+h-40,"SPEED");
		font.drawText(x+64,y+h-32,Player.pokemon[num].speed);
		font.drawText(x+8,y+h-24,"SPECIAL");
		font.drawText(x+64,y+h-16,Player.pokemon[num].special);
		
		font.drawText(x+88,y+h-72,"Type1/");
		font.drawText(x+96,y+h-64,Player.pokemon[num].element.toUpperCase());
		
		font.drawText(x+88,y+h-40,"@#/");
		font.drawText(x+96,y+h-32,Player.ID_num);
		font.drawText(x+88,y+h-24,"OT/");
		font.drawText(x+96,y+h-16,Player.name);
		
		FlipScreen();
	}
	ClearKeys();
	Delay(150);
	while(!IsKeyPressed(KEY_CTRL))
	{
	}
	PokemonMenu(); // return to the menu;
}