// Battle.js by Feek

//-------------------//
// Created: 10/06/07 //
// Updated: 14/06/07 //
//-------------------//

function DrawHealthBar(sx,sy,num)
{
	var percentage = Player.pokemon[num].hp/Player.pokemon[num].maxhp;
	var color = Green;
	Healthbar.blit(sx,sy);
	if (percentage > Player.pokemon[num].maxhp/2)
		color = Green;
	if (percentage < Player.pokemon[num].maxhp*.5 && percentage > Player.pokemon[num].maxhp*.25)
		color = Yellow;
	if (percentage < Player.pokemon[num].maxhp*.5 && percentage > Player.pokemon[num].maxhp*.25)
		color = Red;
	Rectangle(sx+16,sy+3,48*(percentage),2,color);
}

function SetLevel(object,level)
{
	//-- set next acquired exp: --//
	if (object.grow_type == "fast")
	{
		object.exp = Math.round(0.8*(level^3));
		object.nxp = Math.round(0.8*(level+1^3)) - object.exp;
	}
	else if (object.grow_type == "normal")
	{
		object.exp = level^3;
		object.nxp = level+1^3 - object.exp;
	}
	else if (object.grow_type == "slow")
	{
		object.exp = Math.round(1.25*(level^3));
		object.nxp = Math.round(1.25*(level+1^3)) - object.exp;
	}
	else
	{
		object.exp = Math.round(1.2*(level^3)-15*(level^2)+100*level-140);
		object.nxp = Math.round(1.2*(level+1^3)-15*(level+1^2)+100*level+1-140) - object.exp;
	}
	object.level = level;
	//-- set new stats --//
	object.atk = SetStat(object.AtkBase,level,object.atkEV);
	object.def = SetStat(object.DefBase,level,object.defEV);
	object.speed = SetStat(object.SpdBase,level,object.spdEV);
	object.special = SetStat(object.SpcBase,level,object.spcEV);
	object.hp = SetHealth(object.HPBase,level,object.hpEV);
	object.maxhp = object.hp;
}

function LevelUp(object)
{
	object.level += 1;
	//-- set new stats --//
	object.atk = SetStat(object.AtkBase,level,object.atkEV);
	object.def = SetStat(object.DefBase,level,object.defEV);
	object.speed = SetStat(object.SpdBase,level,object.spdEV);
	object.special = SetStat(object.SpcBase,level,object.spcEV);
	object.hp = SetHealth(object.HPBase,level,object.hpEV);
	object.maxhp = object.hp;
}

function StartBattle(object)
{
	
}