// Pokedex.js by Feek

//-------------------//
// Created: 10/06/07 //
// Updated: 11/06/07 //
//-------------------//

function Pokedex()
{
}

function ShowPokemon(num)
{
	pokeScreen.blit(x,y);
	font.drawText(x+72,y+16,Pokemon[num].name);
	font.drawText(x+72,y+32,Pokemon[num].type);
	font.drawText(x+72,y+48,"HT  ???");
	font.drawText(x+72,y+64,"WT  ?.??lb");
	font.drawText(x+16,y+64,"#." + Pokemon[num].pknum);
	FlipScreen();
	ClearKeys();
	Delay(500);
	while(!IsKeyPressed(KEY_CTRL))
	{
		pokeScreen.blit(x,y);
		Pokemon[num].image.blit(x+8+24-Pokemon[num].image.width/2,y+24);
		font.drawText(x+72,y+16,Pokemon[num].name);
		font.drawText(x+72,y+32,Pokemon[num].type);
		font.drawText(x+72,y+48,"HT  " + Pokemon[num].height);
		font.drawText(x+72,y+64,"WT  " + Pokemon[num].weight + "lb");
		if (num < 10) font.drawText(x+16,y+64,"#.00" + num);
		else if (num < 100 && num > 10) font.drawText(x+16,y+64,"#.0" + num);
		else font.drawText(x+16,y+64,"#." + num);
		font.drawText(x+8,y+88,Pokemon[num].txt[0]);
		font.drawText(x+8,y+104,Pokemon[num].txt[1]);
		font.drawText(x+8,y+120,Pokemon[num].txt[2]);
		FlipScreen();
	}
	ClearKeys();
	Delay(150);
	while(!IsKeyPressed(KEY_CTRL))
	{
		pokeScreen.blit(x,y);
		Pokemon[num].image.blit(x+8+24-Pokemon[num].image.width/2,y+24);
		font.drawText(x+72,y+16,Pokemon[num].name);
		font.drawText(x+72,y+32,Pokemon[num].type);
		font.drawText(x+72,y+48,"HT  " + Pokemon[num].height);
		font.drawText(x+72,y+64,"WT  " + Pokemon[num].weight + "lb");
		if (num < 10) font.drawText(x+16,y+64,"#.00" + num);
		else if (num < 100 && num > 10) font.drawText(x+16,y+64,"#.0" + num);
		else font.drawText(x+16,y+64,"#." + num);
		font.drawText(x+8,y+88,Pokemon[num].txt[3]);
		font.drawText(x+8,y+104,Pokemon[num].txt[4]);
		font.drawText(x+8,y+120,Pokemon[num].txt[5]);
		FlipScreen();
	}
}

var subMenu = ["STATS","SWITCH","CLOSE"];

function PokemonMenu()
{
	var cp = 0;
	var cs = 0;
	var subtoggle = false;
	var menu = true;
	while(menu)
	{
		Clear();
		win.drawWindow(x+8,y+h-40,w-16,32);
		font.drawText(x+8,y+h-32,"Choose a POKMON.");
		menu_arrow.blit(x,8+y+cp*16);
		for (var i = 0; i < Player.pokemon.length; ++i)
		{
			font.drawText(x+24,y+i*16,Player.pokemon[i].name);
			font.drawText(x+104,y+i*16,""+ Player.pokemon[i].level);
			font.drawText(x+104,8+y+i*16," " + Player.pokemon[i].hp + "/ " + Player.pokemon[i].maxhp);
			DrawHealthBar(x+32,8+y+i*16,i);
		}
		if (subtoggle)
		{
			win.drawWindow(x+w-64,y+h-(subMenu.length*16),56,subMenu.length*16-8);
			for(var i = 0; i < subMenu.length; ++i)
			{
				font.drawText(x+w-56,y+h-(subMenu.length*16)+i*16,subMenu[i]);
			}
			menu_arrow.blit(x+w-64,y+h-(subMenu.length*16)+cs*16);
		}
		FlipScreen();
		while(AreKeysLeft())
		{
			switch(GetKey())
			{
				case KEY_UP:
					if (!subtoggle)
					{
						if (cp != 0) cp--;
					}
					else
					{
						if (cs != 0) cs--;
					}
				break;
				case KEY_DOWN:
					if (!subtoggle)
					{
						if (cp < Player.pokemon.length-1) ++cp;
					}
					else
					{
						if (cs < subMenu.length-1) ++cs;
					}
				break;
				case KEY_CTRL:
					if (!subtoggle) subtoggle = true;
					else
					{
						if (cs == subMenu.length-1) subtoggle = false;
						if (cs == subMenu.length-3) {ShowPkmnStatScreen(cp);return}
					}
				break;
				case KEY_SHIFT:
					if (subtoggle) subtoggle = false;
					else menu = false;
				break;
			}
		}
	}
	gameMenu.run(x+w-80,y);
}
