// TextWindow.js by Feek //

//-------------------//
// Created: 04/06/07 //
// Updated: 14/06/07 //
//-------------------//

// temp vars //
var msgline1;
var msgline2;
var spd = 40;
var text_bg;

// The basic Pokemon text function:
function DrawText(line1,line2,direction)
{
	msgline1 = line1;
	msgline2 = line2;
	for (var i = 0; i < line1.length; ++i)
	{
		if (IsMapEngineRunning()) RenderMap();
		else text_bg.blit(x,y);
		win.drawWindow(x+8,y+h-40,w-16,32);
		font.drawText(x+8,y+h-32,line1.substr(0,i));
		FlipScreen();
		Delay(spd);
	}
	if (line2 != undefined)
	{
		for (var i = 0; i < line1.length; ++i)
		{
			if (IsMapEngineRunning()) RenderMap();
			else text_bg.blit(x,y);
			win.drawWindow(x+8,y+h-40,w-16,32);
			font.drawText(x+8,y+h-32,line1);
			font.drawText(x+8,y+h-16,line2.substr(0,i));
			FlipScreen();
			Delay(spd);
		}
	}
	TextWait();
}

function TextWait()
{
	while(!IsKeyPressed(KEY_CTRL))
	{
		if (IsMapEngineRunning()) RenderMap();
		else text_bg.blit(x,y);
		win.drawWindow(x+8,y+h-40,w-16,32);
		font.drawText(x+8,y+h-32,msgline1);
		font.drawText(x+8,y+h-16,msgline2);
		FlipScreen();
	}
	if (IsMapEngineRunning()) RenderMap();
	else text_bg.blit(x,y);
	win.drawWindow(x+8,y+h-40,w-16,32);
	font.drawText(x+8,y+h-32,msgline1);
	font.drawText(x+8,y+h-16,msgline2);
}

function AppendText(txt)
{
	msgline1 = msgline2;
	msgline2 = txt;
	for (var i = 0; i < txt.length; ++i)
	{
		if (IsMapEngineRunning()) RenderMap();
		else text_bg.blit(x,y);
		win.drawWindow(x+8,y+h-40,w-16,32);
		font.drawText(x+8,y+h-32,msgline1);
		font.drawText(x+8,y+h-16,txt.substr(0,i));
		FlipScreen();
		Delay(spd);
	}
	TextWait();
}

function Choice()
{
	var bg = GrabImage(x,y,w,h);
	var selection = true;
	ClearKeys();
	while(true)
	{
		bg.blit(x,y);
		win.drawWindow(x+120,y+64,32,24);
		font.drawText(x+128,y+64,"YES");
		font.drawText(x+128,y+80,"NO");
		if (selection) menu_arrow.blit(x+120,y+64);
		if (!selection) menu_arrow.blit(x+120,y+80);
		FlipScreen();
		while(AreKeysLeft())
		{
			switch(GetKey())
			{
				case KEY_UP:
					if (!selection) selection = true;
				break;
				case KEY_DOWN:
					if (selection) selection = false;
				break;
				case KEY_CTRL:
					return selection;
				break;
				case KEY_SHIFT:
					return false;
				break
			}
		}
	}
}